{
    "version": "0.2.0",
    "configurations": [

        
        
        {
            "type": "amiga-assembly",
            "request": "launch",
            "name": "FS-UAE Launch",
            "noDebug": true,
            "program": "${workspaceFolder}/uae/dh0/myprogram",
            // "program": "/Users/rbauer/Desktop/Themen/CHLudens/3_2_Amiga/6_dev/startexample/FS-UAE.app/Contents/MacOS/fs-uae",
            "remoteProgram": "SYS:start",
            "emulatorType": "fs-uae",
            "emulatorArgs": [
                "--hard_drive_0=${workspaceFolder}/uae/dh0",
                "--automatic_input_grab=0",
				"--linedebug"
            ],
            "preLaunchTask": "amigaassembly: build"
        },
        {
            "type": "amiga-assembly",
            "request": "launch",
            "name": "FS-UAE Debug",
            "stopOnEntry": false,
            "program": "${workspaceFolder}/uae/dh0/gencop",
            "remoteProgram": "SYS:gencop",
            "emulatorType": "fs-uae",
            "emulatorArgs": [
                "--hard_drive_0=${workspaceFolder}/uae/dh0",
                "--automatic_input_grab=0"
            ],
            "preLaunchTask": "amigaassembly: build"
        },

        
       

        
    ]
}
